import request from '@/utils/request'

// 查询芳烃培训模版列表
export function listFtPlan(query) {
  return request({
    url: '/bccnew/ftPlan/list',
    method: 'get',
    params: query
  })
}

// 查询芳烃培训模版详细
export function getFtPlan(id) {
  return request({
    url: '/bccnew/ftPlan/' + id,
    method: 'get'
  })
}

// 新增芳烃培训模版
export function addFtPlan(data) {
  return request({
    url: '/bccnew/ftPlan',
    method: 'post',
    data: data
  })
}

// 修改芳烃培训模版
export function updateFtPlan(data) {
  return request({
    url: '/bccnew/ftPlan',
    method: 'put',
    data: data
  })
}

// 删除芳烃培训模版
export function delFtPlan(id) {
  return request({
    url: '/bccnew/ftPlan/' + id,
    method: 'delete'
  })
}

// 导出芳烃培训模版
export function exportFtPlan(query) {
  return request({
    url: '/bccnew/ftPlan/export',
    method: 'get',
    params: query
  })
}
